setupcon(1)

NAME
setupcon - sets up the font and the keyboard on Linux console

SYNOPSIS
setupcon [ option ]... [ variant ... ]

DESCRIPTION
setupcon is a program for fast and easy setup of the font and the keyboard on the Linux console.

OPTIONS

-k, --keyboard-only
    Setup the keyboard only, do not setup the font.

-f, --font-only
    Setup the font only, do not setup the keyboard.

--force
    Do not check whether we are on the console. Notice that you can be forced to hard-reboot your computer if you run setupcon with this option and you are on a X server.

-v, --verbose
    Be more verbose. Use this option if something goes wrong.

--save
    If you want to use setupcon early in the boot process, it is possible that /usr is not yet mounted and the required data are not available. This option makes setupcon copy the required data in /etc/console-setup in order to make it available before /usr is mounted. If you use setupcon early in the boot process, then use this option whenever you change the console configuration.

--save-only
    Same like --save, but do not setup the keyboard and the font. This option can be useful if you run setupcon in a X server.

-h, --help
    Display usage information.

variant
    Specifies which configuration file to use. By default the configuration file of setupcon is /etc/default/console-setup but if you use e.g. "chukchi" as variant then the configuration file will be /etc/default/console-setup.chukchi. This allows you to have several different configurations - for example one for the Chukchi language and another in /etc/default/console-setup for your default configuration.

BASIC USAGE
Most of the time you invoke setupcon without arguments. Please look at the README file for more information.

AUTHOR
Anton Zinoviev <anton@lml.bas.bg>, <zinoviev@debian.org>